Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface StdAttributesAccess

All Known Subinterfaces:
  Extra

public interface StdAttributesAccess

Standard API for access to JMX MBean Attributes. The exceptions from these calls are the same as those that would be thrown if the same routines were invoked through an MBeanServerConnection.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`AttributeList` | `getAttributes(java.lang.String[] names)`
`void` | `setAttribute(Attribute attr)`
`AttributeList` | `setAttributes(AttributeList attrs)`

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws InstanceNotFoundException,
                                         ReflectionException,
                                         MBeanException,
                                         AttributeNotFoundException,
                                         java.io.IOException

  Throws:
    `InstanceNotFoundException`
    `ReflectionException`
    `MBeanException`
    `AttributeNotFoundException`
    `java.io.IOException`

### getAttributes

    public AttributeList getAttributes(java.lang.String[] names)
                                throws InstanceNotFoundException,
                                       ReflectionException,
                                       java.io.IOException

  Throws:
    `InstanceNotFoundException`
    `ReflectionException`
    `java.io.IOException`

### setAttribute

    public void setAttribute(Attribute attr)
                      throws InstanceNotFoundException,
                             ReflectionException,
                             MBeanException,
                             AttributeNotFoundException,
                             InvalidAttributeValueException,
                             java.io.IOException

  Throws:
    `InstanceNotFoundException`
    `ReflectionException`
    `MBeanException`
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `java.io.IOException`

### setAttributes

    public AttributeList setAttributes(AttributeList attrs)
                                throws InstanceNotFoundException,
                                       ReflectionException,
                                       java.io.IOException

  Throws:
    `InstanceNotFoundException`
    `ReflectionException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.